//---------------------------------------------------------------------------
#ifndef SoundFH
#define SoundFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <FStream.h>
#include <StdLib.h>
#include <String.h>
//---------------------------------------------------------------------------
class TSoundBox : public TForm
{
__published:	// IDE-managed Components
    TTrackBar *Volume_TB;
    TLabel *Minus_L;
    TLabel *Plus_L;
    TCheckBox *EnableSound_CB;
    TButton *SOk_B;
    void __fastcall SOk_BClick(TObject *Sender);
private:	// User declarations
  AnsiString IniLines[4];

  int VolumeToInt();
  void IntToVolume(int Volume);
  void ReadIniFile();
  void WriteIniFile();
public:		// User declarations
  __fastcall TSoundBox(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TSoundBox *SoundBox;
//---------------------------------------------------------------------------
#endif
