//---------------------------------------------------------------------------
#ifndef ddutilsH
#define ddutilsH
//---------------------------------------------------------------------------
#include <DDraw.h>
#include <GVar.h>
#include <Vcl.h>
//---------------------------------------------------------------------------
namespace TDDraw {
  void __fastcall DDBlitFast(IDirectDrawSurface *idds, LPDIRECTDRAWSURFACE lpdds,
   FPoint SPos, RECT Size);
  HRESULT DDCopyBitmap(IDirectDrawSurface *pdds, HBITMAP hbm, FPoint xy,
   FPoint dxy);
  IDirectDrawSurface *DDCreateSurface(IDirectDraw *pdd, DWORD Height, DWORD Width);
  bool __fastcall DDDestroySurface(LPDIRECTDRAWSURFACE lpdds);
  IDirectDrawSurface *DDLoadBitmap(IDirectDraw *pdd, char *F_Name, char *P_Name);
  HRESULT DDReLoadBitmap(IDirectDrawSurface *pdds, char *F_Name);
  extern "C" IDirectDrawPalette *DDLoadPalette(IDirectDraw *pdd, char *F_Name);
  DWORD DDColorMatch(IDirectDrawSurface *pdds, COLORREF rgb);
  HRESULT DDSetColorKey(IDirectDrawSurface *pdds, COLORREF rgb);
  FPoint DDGetImageSize(char *F_Name, char *P_Name);
  void __fastcall DDError(HRESULT d);
};
//---------------------------------------------------------------------------
using namespace TDDraw;
#endif
