/***************************************/
/*Program Name  : Server 2             */
/*File Name     : Server2.cpp          */
/*Author        : Ivan Wright          */
/*Updated       : 12/03/2000           */
/*Version       : 1.1a                 */
/***************************************/
//---------------------------------------------------------------------------
#include "Server2.h"
//---------------------------------------------------------------------------
namespace TServer2 {
  AnsiString Back_Comms[10];
  short int Back_Position;
//---------------------------------------------------------------------------
void __fastcall S2_AddCommand(AnsiString Comm)
{
  Back_Comms[9] = Back_Comms[8];
  Back_Comms[8] = Back_Comms[7];
  Back_Comms[7] = Back_Comms[6];
  Back_Comms[6] = Back_Comms[5];
  Back_Comms[5] = Back_Comms[4];
  Back_Comms[4] = Back_Comms[3];
  Back_Comms[3] = Back_Comms[2];
  Back_Comms[2] = Back_Comms[1];
  Back_Comms[1] = Back_Comms[0];
  Back_Comms[0] = Comm;
}
//---------------------------------------------------------------------------
int S2_BoolToInt(bool B)
{
  int Ret;
  if (B == true) Ret = 1;
  else if (B == false) Ret = 0;
  return Ret;
} //BoolToInt
//---------------------------------------------------------------------------
bool S2_Check4_OddNo(int Num)
{
  bool OddNo;
  if (Num == 0) return false;
  if (Num % 2 == 1) OddNo = true;
  else OddNo = false;
  return OddNo;
} //Check4_OddNo
//---------------------------------------------------------------------------
AnsiString S2_GetCommand(const short int Direction)
{
  //Direction 1 up
  //Direction 2 down
  AnsiString Comm_Ret;
  if (Direction == 1) {
    if (Back_Position >= 9) {
      Back_Position = 9;
      if (Back_Comms[9] == "") Comm_Ret = Back_Comms[8];
      else Comm_Ret = Back_Comms[9];
    }
    else {
      Back_Position++;
      Comm_Ret = Back_Comms[Back_Position];
    }
  }
  else if (Direction == 2) {
    if (Back_Position <= 0) {
      Back_Position = 0;
      Comm_Ret = Back_Comms[0];
    }
    else {
      Back_Position--;
      Comm_Ret = Back_Comms[Back_Position];
    }
  }
  else Comm_Ret = "ERROR; Server Error;";
  return Comm_Ret;
}
//---------------------------------------------------------------------------
int __fastcall S2_GetOppDirection(const int Direction)
{
  int R_Direction;
  if (Direction == 1) R_Direction = 3;
  else if (Direction == 2) R_Direction = 4;
  else if (Direction == 3) R_Direction = 1;
  else if (Direction == 4) R_Direction = 2;
  return R_Direction;
}
//---------------------------------------------------------------------------
AnsiString S2_GetPreviousCommand()
{
  return Back_Comms[0];
}
//---------------------------------------------------------------------------
AnsiString S2_GetStatus(const int Status)
{
  AnsiString Ret;
  if (Status == 1) Ret = "Hamlet";
  else if (Status == 2) Ret = "Village";
  else if (Status == 3) Ret = "Town";
  else if (Status == 4) Ret = "City";
  else if (Status == 5) Ret = "Capitol";
  else if (Status == 6) Ret = "Metropolis";
  return Ret;
}
//---------------------------------------------------------------------------
IPoint S2_IncXY(const IPoint XY, int Direction)
{
  IPoint FP = XY;
  if (Direction == 1) FP.Y--;
  else if (Direction == 2) FP.X++;
  else if (Direction == 3) FP.Y++;
  else if (Direction == 4) FP.X--;
  return FP;
}
//---------------------------------------------------------------------------
AnsiString S2_Init()
{
  int Back_Counter;
  for (Back_Counter = 0; Back_Counter < 9; Back_Counter++)
   Back_Comms[Back_Counter] = "";
  Back_Position = 0;
  return "ECHO; Server initialised;";
}
//---------------------------------------------------------------------------
bool S2_IntToBool(int I)
{
  bool Ret;
  if (I == 1) Ret = true;
  else if (I == 0) Ret = false;
  return Ret;
} //IntToBool
//---------------------------------------------------------------------------
IPoint S2_IntToIPoint(int iX, int iY)
{
  IPoint fpRet;
  fpRet.X = iX;
  fpRet.Y = iY;
  return fpRet;
}
//---------------------------------------------------------------------------
};


