//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "SoundF.h"
#include "City.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSoundBox *SoundBox;
//---------------------------------------------------------------------------
__fastcall TSoundBox::TSoundBox(TComponent* Owner)
    : TForm(Owner)
{
  SoundBox->Left = (Screen->Width - SoundBox->Width) / 2;
  SoundBox->Top = (Screen->Height - SoundBox->Height) / 2.5;

  if (MainForm->WaveSound->Active == false) {
    EnableSound_CB->Enabled == false;
    Volume_TB->Enabled == false;
  }
  else {
    Volume_TB->Position = VolumeToInt();
    EnableSound_CB->Checked = MainForm->WaveSound->SoundOn;
  }
}
//---------------------------------------------------------------------------
int TSoundBox::VolumeToInt()
{
  unsigned long ul = 0;
  if (MainForm->WaveSound->Active == true) {
    ul = MainForm->WaveSound->GetVolume();
    ul /= 0x11111111;
  }
  return (int) ul;
}
//---------------------------------------------------------------------------
void TSoundBox::IntToVolume(int Volume)
{
  unsigned long ul = 0;
  if (MainForm->WaveSound->Active == true) {
    ul = (unsigned long) Volume * 0x11111111;
    MainForm->WaveSound->SetVolume(ul);
  }
}
//---------------------------------------------------------------------------
void TSoundBox::ReadIniFile()
{
  /*AnsiString IniName = MainForm->szDrive + "Default.ini";
  char F_Line[60];
  int Num;

  ifstream F_Name(IniName.c_str());
  if (!F_Name) return;

  for (Num = 1; Num < 5; Num++) {
    F_Name.getline(F_Line, sizeof(F_Line));
    IniLines[Num] = F_Line;
  }
  F_Name.close();*/
}
//---------------------------------------------------------------------------
void TSoundBox::WriteIniFile()
{
  /*AnsiString IniName = MainForm->szDrive + "Default.ini";
  int Num;
  AnsiString F_Line;

  ofstream F_Name(IniName.c_str());
  if (!F_Name) return;
  for (Num = 1; Num < 5; Num++)
   F_Name << IniLines[Num].c_str() << endl;
  if (EnableSound_CB->Checked == true) F_Line = "SOUND; ON;#";
  else F_Line = "SOUND; OFF;#";
  F_Name << F_Line.c_str() << endl;
  F_Line = "SOUND; SET_VOLUME; " + IntToStr((int)MainForm->WaveSound->GetVolume()) + ";#";
  F_Name << F_Line.c_str() << endl;
  F_Name.close();*/
}
//---------------------------------------------------------------------------
void __fastcall TSoundBox::SOk_BClick(TObject *Sender)
{
  if (MainForm->WaveSound->Active == true) {
    IntToVolume(Volume_TB->Position);
    if (EnableSound_CB->Checked == true) MainForm->Server("SOUND; ON;", true, true);
    else MainForm->Server("SOUND; OFF;", true, true);
  }
  ReadIniFile();
  WriteIniFile();

  Close();
}
//---------------------------------------------------------------------------


